import { defineStore } from 'pinia';
import { ref } from 'vue';

const pixelPerfect = ref(true);

export const useSettingsStore = defineStore('settings', () => {
  // Actions
  function togglePixelPerfect() {
    pixelPerfect.value = !pixelPerfect.value;
  }

  function setPixelPerfect(value: boolean) {
    pixelPerfect.value = value;
  }

  return {
    pixelPerfect,
    togglePixelPerfect,
    setPixelPerfect,
  };
});
